<?php
require_once('../wu_init.php');
if (!wu_token()) { exit('wu-error'); }
if (!USER_LOGGED) { exit('wu-error'); }
include('wu_checkadmin.php');

if(isset($_POST['usr']) && isset($_POST['sum']) && isset($_POST['type'])){
if(!empty($_POST['sum'])){
$usr = intval($_POST['usr']);
$sum = mysqli_real_escape_string($connect_db, trim($_POST['sum']));
$type = intval($_POST['type']);
$comment = $_POST['comment'];
if($_POST['tonotif'] == 'true') { $tonotif = 1; } else { $tonotif = 0; }

if($_POST['sum'] <= 0) { exit('0'); }


if(empty($comment)) { $msg_add_n = ''; } else { $msg_add_n = '. Комментарий: '.$comment; }

//Зачисление рейтинга
if ($type == 1) {
mysqli_query($connect_db, "UPDATE `".DB_PREFIX."_users` SET `rat` = `rat`+'$sum' WHERE uid = '$usr' LIMIT 1");
if($tonotif == 1) {
$msg_notif = mysqli_real_escape_string($connect_db, 'Администратором Вам зачислено '.$sum.' рейтинга'.$msg_add_n);
mysqli_query($connect_db, "INSERT INTO `".DB_PREFIX."_notif` (usr,msg,st,dt) VALUES ('$usr','$msg_notif','1','$dt')");
}
}

//Списание рейтинга
if ($type == 2) {
mysqli_query($connect_db, "UPDATE `".DB_PREFIX."_users` SET `rat` = `rat`-'$sum' WHERE uid = '$usr' LIMIT 1");
if($tonotif == 1) {
$msg_notif = mysqli_real_escape_string($connect_db, 'Администратором у Вас списано '.$sum.' рейтинга'.$msg_add_n);
mysqli_query($connect_db, "INSERT INTO `".DB_PREFIX."_notif` (usr,msg,st,dt) VALUES ('$usr','$msg_notif','0','$dt')");
}
}

exit('1');
} else { exit('0'); }
} else { exit('wu-error'); }
?>